{% load wagtailimages_tags %}

{% image main_image original as background_image %}

{% if show_scroll_progress %}
  <div class="__js-root">
    <ui-scroll-indicator></ui-scroll-indicator>
  </div>
{% endif %}

<header
  class="
    flex items-center mb-4 w-full pt-28 pb-8
    bg-no-repeat bg-cover bg-center bg-blend-darken bg-[top_right_-7rem]

    {% if background_image %}
      bg-[#00000088]
    {% else %}
      bg-black
    {% endif %}

    xl:bg-center xl:pt-48 xl:pb-24
  "

  {% if background_image %}
    style="background-image:url('{{ background_image.url }}')"
  {% endif %}
>
  <div class="flex justify-start w-full">
    <div class="container--wide w-full">
      {% block content %}
        <div class="text-white flex flex-col">
          {% block before_heading %}{% endblock %}

          {% block heading %}
            <h1
              class="
                {% block heading_classes %}
                  mb-1

                  {% if is_short %}head-short{% endif %}

                  {% if description %}
                    {% if title|length <= 100 %}head-8xl{% else %}head-7xl{% endif %}
                  {% else %}
                    head-14xl
                  {% endif %}
                {% endblock %}
              "
            >
              {{ title }}
            </h1>
          {% endblock %}

          {% block after_heading %}{% endblock %}

          {% block description %}
            {% if description %}
              <p
                class="
                  font-semibold text-lg leading-7 pr-4

                  xl:pr-0

                  lg:max-w-screen-lg

                  {% block description_classes %}{% endblock %}
                "
              >
                {{ description }}
              </p>
            {% endif %}
          {% endblock %}

          {% block after_description %}{% endblock %}
        </div>
      {% endblock %}
    </div>
  </div>
</header>
